Subject: Re: hung tasks on shutdown in linux-next-202409{20,23,24,25}

From: Greg Kroah-Hartman <[email-masked]>
Date: Wed, 25 Sep 2024 14:09:23 +0200

On Wed, Sep 25, 2024 at 01:40:01PM +0200, Bert Karwatzki wrote:
> Since linux-next-20240920 my Msi Alpha 15 Laptop has repeatedly suffered
> from hung tasks when shutting down (though not on every shutdown). After
> some time when shutting down does not work the following messages about
> hung tasks appear on screen:
> INFO: task systemd-shutdow:1 blocked for more than 61 seconds.
> and several of these
> INFO: task kworker/u64:*:* blocked for more than 61 seconds.
> 
> The error can be provoked by repeatedly rebooting the system, and so
> I bisected the error between v6.11 and next-20240920. As the first bad
> commit I got the merge commit
> 
> commit 32035d78548754935544d2ae23d39c6090ad0b50
> Merge: 9dfe3a6f3f77 6a36d828bdef
> Author: Stephen Rothwell <[email-masked]>
> Date:   Fri Sep 20 12:48:01 2024 +1000
> 
>     Merge branch 'driver-core-next' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/driver-core.git
> 
> Both parents of the commit tested as not affected by the bug. (I declared a commit as
> good when it survived ten reboot cycles without a hang, the bad commits usually
> hung after at most 3 reboots).
> 
> The error is also still present in next-202409{23,24,25}. In next-20240925 I can
> fix the issue by the following reverting commit 1a0f3e00961c (commit 1a0f3e00961c
> is similar to commit 32035d785487, both merge branch 'driver-core-next'
> from gregkh/driver-core.git):

Thanks for the report, I _just_ reverted all of these in my branch due
to another report just like this.  I'll be glad to take them back after
-rc1 if these issues can be worked out.

So the next linux-next release should be good, OR if you could pull my
driver-core.git driver-core-next branch to verify the revert worked for
you, that would be great.

thanks,

greg k-h